Collection
Send tracking data
POST
/api/sendCollects a pageview, custom event, visitor identification, or performance payload and returns session information and a tracking cache token when accepted.
Request body
| Name | Type | Description |
|---|---|---|
| payloadrequired | object | |
| typerequired | enum<string> | Options: event, identify, performance |
Example request
Responses
200The operation completed successfully.
| Name | Type | Description |
|---|---|---|
| anyOf | anyOf | |
200 example
400Bad request.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
400 example
403Forbidden.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
403 example
500Server error.
| Name | Type | Description |
|---|---|---|
| errorrequired | object | Error details returned when the operation fails. |
500 example
Code samples
cURL